Rename file PPMonoidEvZZ

15 Sep 2015 20:11 - John Abbott

Status: Closed Start date: 15 Sep 2015

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 0.60 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 0.55 hour

Description

The file PPMonoidEvZZ contains a class called PPMonoidBigEv; change the file name?

Related issues:

Related to CoCoALib - Bug #22: Rename PPMonoidEvZZ? Closed 08 Nov 2011

History

#1 - 23 Nov 2015 10:23 - John Abbott

- Priority changed from Normal to High

We could simply merge the code in PPMonoidEvZZ into PPMonoidEv.

What do you think?

Are they similar enough that they should be together?  Or is there sufficient difference that they should be in different files?

#2 - 21 Mar 2016 15:49 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99550 spring 2017

- % Done changed from 0 to 10

In my source copy it seems that PPMonoidEvZZ.C has already been absorbed into PPMonoidEv.C, but the header files are still separate.

The merged source code file contains about 1750 lines of C++ code.  I do not believe that merging has led to any elimination of duplication, but the

two impls are closely related in an abstract sense.

I really don't know whether I prefer separate files or unified ones.  The current situation of merged impl files but separate headers does not make

much sense.

Discuss; decide; implement; close.

#3 - 02 Aug 2016 15:03 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- % Done changed from 10 to 100

- Estimated time set to 0.60 h

This should never really have been opened; it was solved ages ago in issue #22.

20 Apr 2024 1/2

https://cocoa.dima.unige.it/redmine/issues/22


I shall just delete the useless file PPMonoidEvZZ.H.
